{% extends 'Default/printable.html.twig' %}

{% set ente = instance_service.getCurrentInstance() %}
{% set customName = ente.getMetaAsArray('name') %}
{% set enteName = customName != '' ? customName :  ente.name %}
{% set host_url = ocsdc_scheme ~ '://' ~ ocsdc_host ~ '/' %}
{% set logoMeta = ente.getMetaAsArray('logo') %}
{% set logo = logoMeta  ? logoMeta :  host_url ~ 'bundles/app/images/logo-default.png' %}

{% block stylesheets %}
  <script src="{{ absolute_url(asset('bundles/bazingajstranslation/js/translator.min.js')) }}"></script>
  <script src="{{ url('bazinga_jstranslation_js') }}/messages/{{ app.request.locale }}.js"></script>
  {{ parent() }}
  {{ encore_entry_link_tags('compile') }}
  {{ include('Print/parts/style.html.twig') }}
{% endblock %}

{% block javascripts %}
  {{ parent() }}
  {{ encore_entry_script_tags('compile') }}
{% endblock %}

{% block main_content %}

  <main class="container-fluid">

    {{ include('Print/parts/_header.html.twig') }}

    <div class="row mt-5">
      <div class="col-8">
        <h3>{{ pratica.servizio.name }}</h3>
        <div class="row mt-4 mb-4">
          <div class="col-4"><strong>{{ 'pratica.dettaglio.data_ora_presentazione'|trans }}</strong></div>
          <div class="col-8">
            gg-mm-aaaa alle oo:mm
          </div>
        </div>
      </div>
      <div class="col-4">
        {% if pratica.servizio.isProtocolRequired %}
          <div class="callout danger">
            <div class="callout-title">Numero protocollo</div>
            <p class="text-danger">X321-GG/MM/AAAA-0000001/A</p>
          </div>
        {% endif %}
      </div>
    </div>
    <div class="row">
      <div class="col-12">
        {{ form_start(form) }}
        {{ form_errors(form) }}
        {{ form_rest(form) }}
        <div id="formio" class="printable" data-locale="{{ app.request.locale }}" data-formserver_url="{{ formserver_url }}" data-form_id="{{ pratica.servizio.formIoId }}"></div>
        {{ form_end(form) }}
      </div>
    </div>

    <div class="row page-break-before"></div>
    {{ include('Pratiche/summary/parts/payment_gateway.html.twig', {'pratica':pratica, 'user': pratica.user}) }}

    <div class="row" style="padding-top: 40px">
      <div class="col-12">
        <p>{{ 'pratica.pdf.dati_autenticazione'|trans|raw }}</p>
      </div>
      <div class="col-md-3">
        <p><strong>x509certificate_issuerdn</strong></p>
      </div>
      <div class="col-md-9">
        <p class="text-break"><small>x509certificate_issuerdn</small></p>
      </div>

      <div class="col-md-3">
        <p><strong>x509certificate_subjectdn</strong></p>
      </div>
      <div class="col-md-9">
        <p class="text-break"><small>x509certificate_subjectdn</small></p>
      </div>

      <div class="col-md-3">
        <p><strong>x509certificate_base64</strong></p>
      </div>
      <div class="col-md-9">
        <p class="text-break"><small>x509certificate_base64</small></p>
      </div>
    </div>
    </div>

  </main>

  {{ include('Print/parts/_footer.html.twig') }}

{% endblock %}
